GET Creative Moderation Comments

Retrieves comments associated with a creative, including rejection reasons, remediation guidance, and any prior appeal history.

📘

URL: GET /api/v1/creatives/moderation/comments?creativeId={uuid of creative}&advertiserId={id of advertiser}

Query Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID for the specific advertiserintegerYA valid advertiser ID
creativeIdThe UUID of the creativestringYA valid creative ID
filterValues: resolved, unresolvedarrayresolved, unresolved

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
Content-TypeFormat of the message bodyYapplication/json
WM_CONSUMER.IDUnique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATURESignature for authenticationYUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONKey version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value

Sample Request

curl -X GET \
--location 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/moderation/comments?creativeId=abcde-12345&advertiserId=123' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'WM_CONSUMER.ID: <consumer id>' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \
--header 'WM_SEC.AUTH_SIGNATURE: <token>' 

Response

ElementDescriptionType
creativeIdUUID of creativestring
namename of creativestring
statusstatus. enum [DRAFT, PENDING_APPROVAL, APPROVED, REJECTED, PUBLISHED]string
detailedStatusenum[NEEDS_MORE_INFORMATION, CREATIVE_REVIEW, ESCALATION_REVIEW, APPEALED, NEW_INFO_PROVIDED, APPROVED, REJECTED]string
decidedAt timestamp of last reviewer decisiondate-time
requestIdID of the moderation requeststring
prohibitedContentsCountnumber of total prohibited content commentsinteger
claimsContentsCountnumber of total claims commentsinteger
generalCommentsCountnumber of total general commentsinteger
reviewCommentscomments
The reviewComments objects are detailed

here

appeals appeals to rejected creatives
  • description: description text
  • attachments: listing of attachment filenames
  • submittedAt: timestamp of appeal
string

reviewComments Objects

ElementDescriptionType
unresolvedunresolved comments (not all fields all the time)
  • commentId: id of comment for PUT/api/v1/creatives/comments/resolve
  • type: type of comment (prohibitedContent, claim, general)
  • policyId: id of policy
  • policyCategory: category of policy, if any
  • policyName: name of policy
  • message: description of violation
  • adUnitName: ad unit name
  • asset: creative asset
  • commentedAt: timestamp of comment
  • evidence: content that was interpreted as a claim
  • commentId: UUID
string
resolved unresolved comments (not all fields all the time)
  • commentId: id of comment for PUT/api/v1/creatives/comments/resolve
  • type: type of comment (prohibitedContent, claim, general)
  • policyId: id of policy
  • policyCategory: category of policy, if any
  • policyName: name of policy
  • message: description of violation
  • adUnitName: ad unit name
  • asset: creative asset
  • commentedAt: timestamp of comment
  • evidence: content that was interpreted as a claim
  • resolvedAt
  • commentId: UUID
string

👉

NOTE: If asset = 'Photo 1', it refers to the main image.


Sample Response

{ "creativeId": "11111111-aaaa-aaaa-aaaa-111111111111", "name": "name of creative", "status": "PENDING_APPROVAL", "detailedStatus": "APPEALED", "decidedAt": "2026-01-28T19:50:25+00:00", "prohibitedContentsCount": 2, "claimsContentsCount": 2, "generalCommentsCount": 2, "resolvedCommentsCount": 2, "unResolvedCommentsCount": 2, "reviewComments": { "unresolved": [ { "commentId": "33333333-aaaa-aaaa-aaaa-333333333333", "type": "prohibitedContent", "policyId": "TEXT_PROH_ALCOHOL-ALCOHOL USE", "policyCategory": "alcohol-alcohol use", "policyName": "alcohol-alcohol use", "message": "Alcohol in any onsite media.", "adUnitName": "marqueeDesktop", "asset": "headline", "commentedAt": "2026-01-28T19:44:06+00:00" }, { "commentId": "33333333-aaaa-aaaa-aaaa-333333333333", "type": "claim", "policyId": "TEXT_CLAIM_FREE FROM CLAIMS", "policyCategory": "", "policyName": "Free From Claims", "message": "The submitted creative copy refers to brands or products with Green Claims such as \"bpa \".", "adUnitName": "marqueeDesktop", "asset": "subhead", "evidence": "bpa ", "commentedAt": "2026-01-28T19:44:06+00:00" }, { "commentId": "33333333-aaaa-aaaa-aaaa-333333333333", "type": "general", "message": "A general comment", "adUnitName": "galleryDesktop", "asset": "headline", "commentedAt": "2026-01-28T19:44:06+00:00" }... ], "resolved": [ { "commentId": "33333333-aaaa-aaaa-aaaa-333333333333", "type": "general", "message": "A general comment", "adUnitName": "galleryDesktop", "asset": "headline", "commentedAt": "2026-01-28T19:44:06+00:00" }... ] }, "appeals": [ { "description": "i want to appeal this", "attachments": [ "a document.docx" ], "submittedAt": "2026-01-28T19:54:33+00:00" } ]
}